PLATFORM_IOS = "ios"
PLATFORM_ANDROID = "android"
PLATFORM_WINDOWS = 'windows'

--平台
local platform = cc.Application:getInstance():getTargetPlatform()
if platform == cc.PLATFORM_OS_ANDROID then
    PLATFORM = PLATFORM_ANDROID
    IS_ENCODE = true
elseif platform == cc.PLATFORM_OS_IPHONE or platform == cc.PLATFORM_OS_IPAD then
    PLATFORM = PLATFORM_IOS
    IS_ENCODE = true

    IS_DIAMOND_VERSION = false
else
    PLATFORM = PLATFORM_ANDROID
    IS_ENCODE = false
end
 -- PLATFORM = PLATFORM_IOS
-- PLATFORM = PLATFORM_ANDROID


-- anim
GAME_ANIM = {
    PLAYER1_IMAGE = "anim/player/hero_01.png",
    PLAYER1_PLIST = "anim/player/hero_01.plist",     
    PLAYER1_CSB = "anim/player/hero_01.csb",

    PLAYER2_IMAGE = "anim/player/hero_01.png",
    PLAYER2_PLIST = "anim/player/hero_01.plist",     
    PLAYER2_CSB = "anim/player/hero_02.csb",

    PLAYER3_IMAGE = "anim/player/hero_02.png",
    PLAYER3_PLIST = "anim/player/hero_02.plist",     
    PLAYER3_CSB = "anim/player/hero_03.csb",

    PLAYER4_IMAGE = "anim/player/hero_02.png",
    PLAYER4_PLIST = "anim/player/hero_02.plist",     
    PLAYER4_CSB = "anim/player/hero_04.csb",
    
    PLAYER5_IMAGE = "anim/player/hero_03.png",
    PLAYER5_PLIST = "anim/player/hero_03.plist",     
    PLAYER5_CSB = "anim/player/hero_05.csb",

    PLAYER6_IMAGE = "anim/player/hero_03.png",
    PLAYER6_PLIST = "anim/player/hero_03.plist",     
    PLAYER6_CSB = "anim/player/hero_06.csb",

    PLAYER7_IMAGE = "anim/player/hero_04.png",
    PLAYER7_PLIST = "anim/player/hero_04.plist",     
    PLAYER7_CSB = "anim/player/hero_07.csb",

    PLAYER8_IMAGE = "anim/player/hero_04.png",
    PLAYER8_PLIST = "anim/player/hero_04.plist",     
    PLAYER8_CSB = "anim/player/hero_08.csb",
        
    PLAYER9_IMAGE = "anim/player/hero_04.png",
    PLAYER9_PLIST = "anim/player/hero_04.plist",     
    PLAYER9_CSB = "anim/player/hero_10.csb",

    EFFECT_IMAGE = "anim/player/effect.png",     
    EFFECT_PLIST = "anim/player/effect.plist",      

}

HERO_ANIM = {
    HERO1_EX_JSON = "anim/player/jack.csb",
    HERO1_PLIST0 = "anim/player/jack0.plist",
    HERO1_PNG0 = "anim/player/jack0.png",
    HERO1_PLIST1 = "anim/player/jack1.plist",
    HERO1_PNG1 = "anim/player/jack1.png",
    HERO1_PLIST2 = "anim/player/jack2.plist",
    HERO1_PNG2 = "anim/player/jack2.png",
    HERO1_PLIST3 = "anim/player/jack3.plist",
    HERO1_PNG3 = "anim/player/jack3.png",
    HERO1_PLIST4 = "anim/player/jack4.plist",
    HERO1_PNG4 = "anim/player/jack4.png",
}

--image
GAME_IMAGE = {
    ROCKER_IMAGE = "ui/rocker_ui.pvr.ccz",
    ROCKER_PLIST = "ui/rocker_ui.plist",
    BLOOD_IMAGE = "plist/blood.pvr.ccz",
    BLOOD_PLIST = "plist/blood.plist",
    BLOOD_EFFECT_IMAGE = "plist/blood_effect.png",
    BLOOD_EFFECT_PLIST = "plist/blood_effect.plist",
    ATTACK_EFFECT_IMAGE = "plist/attack_effect.png",
    SKILL4_EFFECT_PLIST = "plist/skill4_effect.plist",   
    SKILL4_EFFECT_IMAGE = "plist/skill4_effect.png",
    ATTACK_EFFECT_PLIST = "plist/attack_effect.plist", 
    WIN_IMAGE1 = "plist/blast_wx.png",
    WIN_PLIST1 = "plist/blast_wx.plist",
    CHU_CHANG_IMG = "plist/chuchang.png",
    CHU_CHANG_PLIST = "plist/chuchang.plist"
}

if PLATFORM == PLATFORM_ANDROID then
    --sound
    GAME_SOUND = {
        HERO_RUN = "sound/herorun.ogg",    --人物跑动
        HERO_LV_UP = "sound/herolvup.ogg",  --人物升级
        P_ATTACK1 = "sound/p_attack1.ogg",
        P_ATTACK2 = "sound/p_attack2.ogg",
        P_ATTACK3 = "sound/p_attack3.ogg",
        P_ATTACK4 = "sound/p_attack4.ogg",
        P_HIT = "sound/p_hit.ogg",  --人物受伤
        P_DEATH = "sound/herodeath.ogg",  --人物死亡
        SKILLEFFECT_01 = "sound/skilleffect_01.ogg",   --技能1特效 
        SKILLEFFECT_02 = "sound/skilleffect_02.ogg",   --技能2特效   
        SKILLEFFECT_03 = "sound/skilleffect_03.ogg",   --技能3特效  
        SKILLEFFECT_04 = "sound/skilleffect_04.ogg",   --技能4特效 
        SKILLEFFECT_05 = "sound/skilleffect_05.ogg",   --技能5特效  

        MENU_MUSIC = "sound/bgm_menu.ogg",  --登录界面音乐
        MAIN_MUSIC = "sound/bgm_01.ogg",    --主界面音乐
        BOSS_MUSIC = "sound/bgm_boss.ogg",  --BOSS音乐
        BG_MUSIC = "sound/bgm_0%d.ogg",     --战斗音乐
        MUSIC = "sound/bgm_02.ogg",

        UI_CANCLE = "sound/ui_cancel.ogg",                   --关闭弹框
        UI_EQUIMENTLVUP = "sound/ui_equipmentlvup.ogg",      --装备技能升级
        UI_EQUIMENTUP = "sound/ui_equipmentup.ogg",         --装备进阶合成
        UI_CLICKBTN = "sound/ui_clickbutton.ogg",       --点击按钮
        UI_SELL = "sound/ui_sell.ogg",               --出售
        UI_POPUP = "sound/ui_popup.ogg",             --弹出弹框 
        UI_FIGHTING = "sound/ui_fighting.ogg",         --出击
        UI_REMOVE = "sound/ui_remove.ogg",      --非战斗界面人物升级
        BIANSHEN = "sound/ui_taozhuangbianshen.ogg",    --套装变身
        UI_NEW_PAGE = "sound/ui_new.ogg",        --新关卡开启
        UI_STAR = "sound/ui_star.ogg",        --获得星星
        UI_CHANGE_SCENE = "sound/ui_qiehuanchangjing.ogg",  --切换场景

        FIGHT_TIME = "sound/fight_time.ogg",    --倒计时
        FIGHTING_BOX = "sound/fight_box.ogg",   --打爆宝箱
        JIAXUE = "sound/jiaxue.ogg",    --血瓶加血
        FIGHT_WIN = "sound/fight_win.ogg",      --战斗胜利
        FIGHT_FAIL = "sound/fight_fail.ogg",    --战斗失败
        FIGHT_REVIVE = "sound/fight_revive.ogg",    --复活
        FIGHT_WARING = "sound/fight_warning.ogg",   --BOSS出没的警告
        LOW_BLOOD = "sound/low_blood.ogg",   --低血量
        XUN_BAO = "sound/xunbao.ogg",   --寻宝
        BOSS_DEATH = "sound/boss_death.ogg",     --BOSS死亡
        BOSS_DEATH2 = "sound/boss_death2.ogg",  --BOSS死亡(女声)
        FIGHT_KO = "sound/fight_ko.ogg",        --KO
        FIGHT_EQUIPMENT = "sound/fight_equipment.ogg",  --获得装备、材料
        CHUAN_SONG = "sound/chuansong.ogg",     --传送门
        DAODAN_BLAST = "sound/daodan_blast.ogg",   --导弹爆炸

        E_NORMAL_ATK = "sound/enemyatk_01.ogg",  --普通攻击
        E_JIGUANG = "sound/enemyatk_02.ogg",    --激光
        E_CHONGZHUANG = "sound/enemyatk_03.ogg",    --冲撞
        E_YIN_BO = "sound/enemyatk_04.ogg",     --音波
        E_DAO_DAN = "sound/enemyatk_05.ogg",    --导弹
        E_JIAN = "sound/enemyatk_07.ogg",   --剑
        E_KONG_PU = "sound/enemyatk_08.ogg",    --空扑
        E_SHOW = "sound/enemyroar_02.ogg",  --BOSS出场
        E_BOSS_ATK = "sound/enemyatk_boss_0%d.ogg",  --BOSS的攻击
        E_BOSS_Skill = "sound/enemyatk_bossskill_0%d.ogg",  --BOSS的技能
        E_HURT = "sound/enemy_hurt.ogg",    --怪物受伤

        BOSS6_ATTACK = "sound/boss6_attack.ogg",        --boss6贝利亚普通攻击
        BOSS6_SKILL2 = "sound/boss6_skill2.ogg",        --boss6贝利亚技能2攻击
        BOSS6_SKILL3 = "sound/boss6_skill3.ogg",        --boss6贝利亚技能3攻击
        BOSS6_SKILL4_1 = "sound/boss6_skill4_1.ogg",    --boss6贝利亚技能4攻击
    }
else
    --sound
    GAME_SOUND = {
        HERO_RUN = "sound/herorun.mp3",    --人物跑动
        HERO_LV_UP = "sound/herolvup.mp3",  --人物升级
        P_ATTACK1 = "sound/p_attack1.mp3",
        P_ATTACK2 = "sound/p_attack2.mp3",
        P_ATTACK3 = "sound/p_attack3.mp3",
        P_ATTACK4 = "sound/p_attack4.mp3",
        P_HIT = "sound/p_hit.mp3",  --人物受伤
        P_DEATH = "sound/herodeath.mp3",  --人物死亡
        SKILLEFFECT_01 = "sound/skilleffect_01.mp3",   --技能1特效 
        SKILLEFFECT_02 = "sound/skilleffect_02.mp3",   --技能2特效   
        SKILLEFFECT_03 = "sound/skilleffect_03.mp3",   --技能3特效  
        SKILLEFFECT_04 = "sound/skilleffect_04.mp3",   --技能4特效
        SKILLEFFECT_05 = "sound/skilleffect_05.mp3",   --技能5特效   

        MENU_MUSIC = "sound/bgm_menu.mp3",  --登录界面音乐
        MAIN_MUSIC = "sound/bgm_01.mp3",    --主界面音乐
        BOSS_MUSIC = "sound/bgm_boss.mp3",  --BOSS音乐
        BG_MUSIC = "sound/bgm_0%d.mp3",     --战斗音乐
        MUSIC = "sound/bgm_02.mp3",

        UI_CANCLE = "sound/ui_cancel.mp3",                   --关闭弹框
        UI_EQUIMENTLVUP = "sound/ui_equipmentlvup.mp3",      --装备技能升级
        UI_EQUIMENTUP = "sound/ui_equipmentup.mp3",         --装备进阶合成
        UI_CLICKBTN = "sound/ui_clickbutton.mp3",       --点击按钮
        UI_SELL = "sound/ui_sell.mp3",               --出售
        UI_POPUP = "sound/ui_popup.mp3",             --弹出弹框 
        UI_FIGHTING = "sound/ui_fighting.mp3",         --出击
        UI_REMOVE = "sound/ui_remove.mp3",      --非战斗界面人物升级
        BIANSHEN = "sound/ui_taozhuangbianshen.mp3",    --套装变身
        UI_NEW_PAGE = "sound/ui_new.mp3",        --新关卡开启
        UI_STAR = "sound/ui_star.mp3",        --获得星星
        UI_CHANGE_SCENE = "sound/ui_qiehuanchangjing.mp3",  --切换场景

        FIGHT_TIME = "sound/fight_time.mp3",    --倒计时
        FIGHTING_BOX = "sound/fight_box.mp3",   --打爆宝箱
        JIAXUE = "sound/jiaxue.mp3",    --血瓶加血
        FIGHT_WIN = "sound/fight_win.mp3",      --战斗胜利
        FIGHT_FAIL = "sound/fight_fail.mp3",    --战斗失败
        FIGHT_REVIVE = "sound/fight_revive.mp3",    --复活
        FIGHT_WARING = "sound/fight_warning.mp3",   --BOSS出没的警告
        LOW_BLOOD = "sound/low_blood.mp3",   --低血量
        XUN_BAO = "sound/xunbao.mp3",   --寻宝
        BOSS_DEATH = "sound/boss_death.mp3",     --BOSS死亡
        BOSS_DEATH2 = "sound/boss_death2.mp3",  --BOSS死亡(女声)
        FIGHT_KO = "sound/fight_ko.mp3",        --KO
        FIGHT_EQUIPMENT = "sound/fight_equipment.mp3",  --获得装备、材料
        CHUAN_SONG = "sound/chuansong.mp3",     --传送门
        DAODAN_BLAST = "sound/daodan_blast.mp3",   --导弹爆炸

        E_NORMAL_ATK = "sound/enemyatk_01.mp3",  --普通攻击
        E_JIGUANG = "sound/enemyatk_02.mp3",    --激光
        E_CHONGZHUANG = "sound/enemyatk_03.mp3",    --冲撞
        E_YIN_BO = "sound/enemyatk_04.mp3",     --音波
        E_DAO_DAN = "sound/enemyatk_05.mp3",    --导弹
        E_JIAN = "sound/enemyatk_07.mp3",   --剑
        E_KONG_PU = "sound/enemyatk_08.mp3",    --空扑
        E_SHOW = "sound/enemyroar_02.mp3",  --BOSS出场
        E_BOSS_ATK = "sound/enemyatk_boss_0%d.mp3",  --BOSS的攻击
        E_BOSS_Skill = "sound/enemyatk_bossskill_0%d.mp3",  --BOSS的技能
        E_HURT = "sound/enemy_hurt.mp3",    --怪物受伤

        BOSS6_ATTACK = "sound/boss6_attack.mp3",        --boss6贝利亚普通攻击
        BOSS6_SKILL2 = "sound/boss6_skill2.mp3",        --boss6贝利亚技能2攻击
        BOSS6_SKILL3 = "sound/boss6_skill3.mp3",        --boss6贝利亚技能3攻击
        BOSS6_SKILL4_1 = "sound/boss6_skill4_1.mp3",    --boss6贝利亚技能4攻击
    }
end

--UI
GAME_UI = {
    --角色通用界面
    COMMON_UI_CSB = "cui/CommonLayer.csb",
    --背包界面
    BAG_UI_CSB = "cui/BagLayer.csb",
    --强化
    CONSOLIDATE_UI_CSB = "cui/ConsolidateLayer.csb",
    --进阶
    UPGRADE_UI_CSB ="cui/UpgradeLayer.csb",
    --合成
    SYNTHETI_UI_CSB = "cui/SyntheticLayer.csb",
    --装备强化进阶弹窗
    EQU_INFO_1_CSB = "cui/EuqmentInfoDialog1.csb",
    EQU_INFO_2_CSB = "cui/EuqmentInfoDialog2.csb",
    EQU_INFO_3_CSB = "cui/EuqmentInfoDialog3.csb",
    --技能信息
    SKILL_INFO_1_CSB = "cui/SkillInfoDialog1.csb",
    SKILL_INFO_2_CSB = "cui/SkillInfoDialog2.csb",
    SKILL_INFO_3_CSB = "cui/SkillInfoDialog3.csb",
    --支付
    PAY_DAILOG_CSB = "cui/PayDialog.csb",
    --进阶成功
    UP_SUCCESSED_CSB = "cui/jinjiechenggong.csb",
    --合成成功
    SYN_SUCCESSED_CSB = "cui/hechengchenggong.csb",
    --平台
    PLATFORM_ANI_CSB = "cui/tai.csb",
    --星球
    STARS_ANI_CSB = "cui/xingxing.csb",
    --圆圈
    CIRCLE_ANI_CSB = "cui/yuan.csb",
    --换装
    CHANGE_EQU_DIALOG = "cui/huanzhuang.csb",
    --光
    LIGHT_ANI_CSB = "cui/guang.csb",
    --装备信息弹框
    DETAIL_INFO_DIALOG_CSB = "cui/tanchuang6.csb",
    --按钮光
    BUTTON_LIGHT_ANI_CSB = "cui/bianshenguang.csb", 
    BUTTON_LIGHT_ANI2_CSB = "cui/bianshenguang1.csb",   
    --成就界面
    ACHIEVE_UI_CSB = "cui/chengjiu.csb",
    ACHIEVE_UI_1_CSB = "cui/chengjiu1.csb",
    ACHIEVE_UI_2_CSB = "cui/chengjiu2.csb",
    --商店界面
    SHOP_UI_CSB = "cui/shangdian.csb",
    --寻宝界面
    TREASURE_UI_CSB = "cui/xunbao.csb",
    TREASURE_UI_CSB_1 = "cui/xunbao1.csb",
    TREASURE_UI_CSB_2 = "cui/xunbao2.csb",
    --图鉴
    EQUIPBOOK_UI_CSB = "cui/tujian.csb",
    EQUIPBOOK_UI_CSB_1 = "cui/tujian1.csb",
    EQUIPBOOK_UI_CSB_2 = "cui/tujian2.csb",
    --强化石信息
    MATERIAL_DIALOG_CSD = "cui/tanchuang8.csb",
    LOGIN_ANI_CSB = "cui/denglu.csb",
    --礼包
    GIFT_UI_CSB = "cui/gift.csb",
    --投诉
    CONTACTUS_CSB = "cui/Contactus.csb",
    --更多
    MORE_CSB = "cui/more.csb",
    --关于
    ABOUT_CSB = "cui/about.csb",
    --帮助
    HELP_CSB = "cui/help.csb",
    --设置
    VOICE_CSB = "cui/voice.csb",
    --每日登陆
    MEIRIDENGLU_CSB = "cui/meiridenglu.csb",
    MEIRIDENGLU_ITEM_CSB = "cui/meiridenglu1.csb",
    --公告
    NOTICE_CSB = "cui/Notice.csb",
    NOTICE_ITEM_CSB = "cui/notice1.csb",
    --dian
    PARTICLE_DIAN_CSB = "cui/dian.csb",
    --解锁背包
    OPENBAG_CSB = "cui/tanchuang5.csb",
    --开始按钮特效
    STARTBTN_ANI_CSB = "cui/kaishitexiao.csb",
    --一般的弹窗
    NORMAL_DLG_CSB = "cui/tanchuang4.csb",
    --
    BUY_COINS_CSB = "cui/tanchuang3.csb",
    --story
    STORY_CSB = "cui/StoryLayer.csb",
    --退出
    EXIT_DLG_CSB = "cui/likai.csb",
    --战斗力不足提示
    POWER_TIP = "zhandouli.csb",
    --装备
    EQU_ITEM_CSB = "cui/zhuangbei.csb",
    --强化成功
    CON_SUCCESS_CSB = "cui/5ji_0.csb",
    --免费复活
    GUIDE_REVIVE_DLG = 'cui/GuideDialog.csb',
    --排行榜
    RANK_DLG_CSB =  "cui/paihangbang.csb",
    RENAME_DLG   = "cui/tanchuang2.csb",
    EGAME_ABOUT  = "cui/tanchuang4_1.csb",
    --礼包领取
    LIBAO_CSB = "cui/libao.csb",
    --警告
    WARNING = "cui/jinggao.csb",
    --秘境
    MiJING = "cui/mijing.csb",
    --秘境小屋
    MJ_HOME = "cui/mjguanqia.csb",
    --秘境前往
    MJ_ASK_GO = "cui/tanchuang1.csb",
    --技能升级
    SKILL_UP_CSB = "cui/jinengshengji.csb",
    --秘境进阶
    MJ_UP_SUCCESSED_CSB = "cui/mjjinjie.csb",
    --秘境玩法指引
    MJ_PLAY_GUIDE_CSB = "cui/MjGuide.csb",
    --排行榜排名提示
    RANK_TIP_CSB = "cui/NowRank.csb",
    --竞技场
    ARENA_CSB = "cui/jjc.csb",
    --荣誉商店
    HONOR_SHOP_CSB = "cui/jjcsd.csb",
    --挑战
    PK_TZ_CSB = "cui/jjctz.csb",
    --竞技场奖励
    PK_REWARD_CSB = "cui/jjcpm.csb",
    PK_REWARD_1_CSB = "cui/jjcpm1.csb",
    PK_REWARD_2_CSB = "cui/jjcpm2.csb",
    --竞技场购买次数
    ARENA_TIMES_CSB = "cui/jjctzcs.csb",
    --竞技结算
    PK_RESULT_CSB = "cui/jjcsl.csb",
    --复活界面
    RELIFE_CSB = "cui/jjcfh.csb",
    --战绩
    ZJ_CSB = "cui/jjcpm_0.csb",
    --佣兵系统
    YB_CSB = "cui/YbLayer.csb",
    --佣兵列表
    YB_LB_CSB = "cui/ybxx.csb",
    --佣兵介绍
    YB_INFO_CSB = "cui/ybjx.csb",
    --佣兵上阵
    YB_SZ_CSB = "cui/ybsz.csb",
    --佣兵头像
    YB_TX_CSB = "cui/ybtx.csb",
    --佣兵怪物列表item
    YB_ITEM_CSB = "cui/ybgw.csb",
    YB_FOOD = "cui/YbFood.csb",
    -- 创建角色
    CREATE_ROLE_DLG_1   = "cui/chuangjianjuese.csb",
    CREATE_ROLE_DLG_2   = "cui/chuangjianjuese_0.csb",
    CREATE_ROLE_DLG_3   = "cui/chuangjianjuese_1.csb",
    -- 首冲礼包
    SCLiBao_CSB         = "cui/shouchonglibao.csb",
    -- 佣兵说明
    YB_DIRECT = "cui/shuoming.csb",
    -- 佣兵查看属性
    YB_CKSX = "cui/ybtc1.csb",
    -- 佣兵首脑会议
    YB_SNHY = "cui/ybtc2.csb",
    -- 佣兵属性相克
    YB_SXXK = "cui/ybtc3.csb",
    -- 佣兵列表属性界面
    YB_LBSX = "cui/ybgw_0.csb",
    --佣兵头顶信息
    YB_HEAD = "cui/ybgwm.csb",
    --ios 广告相关的资源
    ASK_WATCH_AD = "cui/gkdp.csb",
    AD_REWARD = "cui/gkdp_0.csb",
    EWLJ      = "cui/ewlj.csb",
    --新关卡开启提示
    NEW_TIP = "cui/xgnkq.csb",
    EWLJ      = "cui/ewlj.csb",
    POP_AD_DLG = "cui/PopAdDlg.csb",
    NO_NET_DLG = "cui/NoNet.csb",
    --数据存档
    UPDOWNLOAD = "cui/zhxx_3.csb",
    --充值赠送
    CZZS = "cui/czzs.csb",
    --动态活动
    NET_ACT = "cui/czsdl.csb",
    NET_ACT_1 = "cui/czsdl_1.csb",
    NET_ACT_2 = "cui/czsdl_2.csb",
    --佣兵礼包
    YB_LB = "cui/yblb.csb",
    --宝石界面
    BAO_SHI = "cui/baoshi.csb",
    --宝石物品
    BAO_SHI_GOOD = "cui/baoshicailiao.csb",
    --选关界面
    LEVEL_PAGE = "cui/Level%d.csb",
    -- VIP
    VIP_DLG = "cui/vipInfo.csb",
    DX_VIP_DLG = "cui/DXVipPayDialog.csb",
}

GAME_FONT_NAME = {
    ARIAL = "cui/FZZYJW.TTF"
}

ANI_FADE_TIME = 0.8

--程序时间
TIME_SCALE = 1.0

GUIDE_STEP = {
    CON_STEP                = "CON_STEP",           --强化引导
    UP_STEP                 = "UP_STEP",            --进阶引导
    EQU_STEP                = "EQU_STEP",           --穿戴引导
    EQU_SHOE_STEP           = "EQU_SHOE_STEP",      --穿戴鞋子引导
    TREASURE_STEP           = "TREASURE_STEP",      --寻宝   
    SHOP_STEP               = "SHOP_STEP",          --商店
    ACHIEVEMENT_STEP        = "ACHIEVEMENT_STEP",   --成就
    ELITE_STEP              = "ELITE_STEP",         --精英
    SKILL_UP_STEP           = "SKILL_UP_STEP",      --技能升级引导
    LEVEL_1_STEP            = "LEVEL_1_STEP",       --引导进入第一关
    LEVEL_2_STEP            = "LEVEL_2_STEP",       --引导进入第二关
    LEVEL_3_STEP            = "LEVEL_3_STEP",       --引导进入第三关
    LEVEL_NEW_STEP          = "LEVEL_NEW_STEP",     --第一次关卡引导,
    OPEN_SUPERMAN_STEP      = "OPEN_SUPERMAN_STEP", --超人礼包
    OPEN_GIFT_STEP          = "OPEN_GIFT_STEP",     --超值礼包
    TRIAL_EQU_STEP          = "TRIAL_EQU_STEP",     --试用紫装
    RANK_STEP               = "RANK_STEP",          --排行榜
    YB_STEP                 = "YB_STEP",            --佣兵
    BS_STEP                 = "BS_STEP",            --宝石系统
}

UM_ENENT = {
    UM_MOVE                 = "UM_EVENT_MOVE",             --移动
    UM_SKILL1               = "UM_EVENT_SKILL1",           --技能1
    UM_SKILL2               = "UM_EVENT_SKILL2",           --技能2
    UM_SKILL3               = "UM_EVENT_SKILL3",           --技能3
    UM_SKILL4               = "UM_EVENT_SKILL4",           --技能4
    UM_SKILL5               = "UM_EVENT_SKILL5", 
    UM_PASS_NEWER           = "UM_EVENT_PASS_NEWER",       --通过新手关
    UM_ENTER_GAME           = "UM_EVENT_GAME",             --点击进入游戏
    UM_ENTER_NOTICE         = "UM_EVENT_NOTICE",           --公告
    UM_TASK                 = "UM_EVENT_TASK",             --任务    
    UM_NEWER_WAVE_2         = "UM_EVENT_NEWER_WAVE_2",     --第2波怪
    UM_NEWER_WAVE_3         = "UM_EVENT_NEWER_WAVE_3",     --第3波怪
    UM_NEWER_WAVE_4         = "UM_EVENT_NEWER_WAVE_4",     --第4波怪
    UM_NEWER_WAVE_5         = "UM_EVENT_NEWER_WAVE_5",     --第5波怪    
    UM_SUPER_GIFT           = "UM_SUPER_GIFT",             --超人礼包
    UM_CHAOZHI_GIFT         = "UM_CHAOZHI_GIFT",           --超值礼包
}

UM_LEVEL_START = "LEVEL_START"
UM_LEVEL_SUCCESS = "LEVEL_SUCCESS"
UM_LEVEL_FAILURE = "LEVEL_FAILURE"

--是否使用SOCKET
USE_SOCKET = false

--适配新的引导
IS_NEW_GUIDE_2 = true
--是否屏蔽新手引导
SHIELDING_GUIDE = false

--活动:30金币买一送一 
ACT_YEAR = 2015
ACT_DATE_1 = 1126
ACT_STR_1 = "感恩特惠，买一送一！"
ACT_NAME_1 = "\"感恩节活动\""
ACT_DATE_2 = 1128
ACT_STR_2 = "庆祝上线100天，买一送一！"
ACT_NAME_2 = "\"上线100天\""

--活动：所有金币买一送一
ACT_DATE = {"20151224","20151225","20160101","20160102","20160103","20151223"}
ACT_NAME = "节日优惠，买一送一！"

AD_SHOW_WALL        = false    --积分墙开关
AD_SHOW_GIFT        = false    --礼包
AD_SHOW_REVIVE      = false    --复活
AD_SHOW_BANNER      = false    --显示广告条
POP_AD_TYPE         = 1        --插屏类型 

SHOW_LICENSE        = false    --激活码
SHOW_QQ_GROUP       = false    --QQ群

HAS_PUSH_REWARD     = false    -- 是否有推送奖励